Subject: bug#32279: activate-readline interaction with git

From: Mark H Weaver <[email-masked]>
Date: Thu, 02 Aug 2018 13:38:43 -0400

Hi Jelle,

Jelle Licht <[email-masked]> writes:
> Loading the (git) module after a call to (activate-readline) from
> (ice-9 readline) stalls my repl, in most (9 out of 10) cases.

The (git) module is not part of core Guile, and is not maintained by the
Guile developers.  Am I correct in guessing that it's part of the
'guile-git' project?  If so, I suggest reporting the problem here:

  https://gitlab.com/guile-git/guile-git/issues

I'd be glad to discuss the issue with the 'guile-git' developers, but I
think the investigation will need to start with them, given that I have
zero knowledge of 'guile-git' internals and wouldn't know where to begin
looking for the source of this problem.

     Regards,
       Mark